Bug 7855 - ntlm_auth only handles the first spnego mech
ntlm_auth only handles the first spnego mech
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Ntlm_auth Tool
3.5.6
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 03:45 UTC by Stefan Metzmacher
Modified: 2010-12-17 13:46 UTC (History)
2 users (show)

See Also:
kai: review+


Attachments
Backport Patch for v3-5-test (31.35 KB, patch)
2010-12-08 03:53 UTC, Stefan Metzmacher
no flags Details
Backport Patch for v3-5-test (31.35 KB, patch)
2010-12-14 03:59 UTC, Stefan Metzmacher
kai: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-12-08 03:45:54 UTC
ntlm_auth --helper-protocol=gss-spnego only looks at the
first offered spnego mech and bails out if it doesn't support that one.

Some versions of Internet Explorer send the NEGOEX oid (1.3.6.1.4.1.311.2.2.30)
as first mech, followed by the NTLMSSP oid (1.3.6.1.4.1.311.2.2.10).
Comment 1 Stefan Metzmacher 2010-12-08 03:53:11 UTC
Created attachment 6125 [details]
Backport Patch for v3-5-test

This is a backport of the master/v3-6-test patches
Comment 2 Kai Blin 2010-12-14 00:40:04 UTC
Compilation fails with
utils/ntlm_auth.o: In function `manage_gss_spnego_request':
/home/kai/samba/work/old/v3-5-test/source3/utils/ntlm_auth.c:1522: undefined reference to `netsamlogon_cache_store'
Comment 3 Stefan Metzmacher 2010-12-14 03:59:49 UTC
Created attachment 6130 [details]
Backport Patch for v3-5-test

Fixed patchset.
Comment 4 Kai Blin 2010-12-14 13:09:04 UTC
Comment on attachment 6130 [details]
Backport Patch for v3-5-test

If I configure again, these work for me. Thanks.
Comment 5 Kai Blin 2010-12-14 13:09:44 UTC
My bad, that patchset works fine.
Comment 6 Stefan Metzmacher 2010-12-14 13:55:25 UTC
Karolin, please pick for the next release
Comment 7 Karolin Seeger 2010-12-17 13:46:42 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!